unit BPInsert;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, MMSystem;

type
  TBPInsForm = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    BitBtn1: TBitBtn;
    Bevel2: TBevel;
    procedure FormCreate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  BPInsForm: TBPInsForm;

implementation

{$R *.DFM}

uses main, BPUnit;

procedure TBPInsForm.FormCreate(Sender: TObject);
begin
  Edit1.Text := 'Noname';
end;

procedure TBPInsForm.BitBtn1Click(Sender: TObject);
var i,k: integer;
begin
  if Score>StrToInt(TopScore[2]) then k := 3
  else if Score>StrToInt(TopScore[3]) then k := 4
  else if Score>StrToInt(TopScore[4]) then k := 5
    else k := 6;
  for i := 5 downto k do begin
      TopScore[i] := TopScore[i-1];
      TopShots[i] := TopShots[i-1];
      TopSeconds[i] := TopSeconds[i-1];
      TopName[i] := TopName[i-1];
    end;
  TopName[k-1] := Edit1.Text;
  TopScore[k-1] := IntToStr(Score);
  TopShots[k-1] := IntToStr(Shots);
  TopSeconds[k-1] := IntToStr(Seconds);
  Close;
  with BPForm do begin
    o1.Font.Color := clBtnText;
    o2.Font.Color := clBtnText;
    o3.Font.Color := clBtnText;
    o4.Font.Color := clBtnText;
    o5.Font.Color := clBtnText;
    if k = 3 then o2.Font.Color := clRed
    else if k = 4 then o3.Font.Color := clRed
    else if k = 5 then o4.Font.Color := clRed
    else if k = 6 then o5.Font.Color := clRed;
    ShowModal;
  end;
end;

procedure TBPInsForm.FormActivate(Sender: TObject);
begin
  if MainForm.Sound1.Checked then PlaySound('Crowd.wav',0,snd_Async);
end;

end.
