unit WWInsert;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, MMSystem;

type
  TWWInsForm = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Edit1: TEdit;
    BitBtn1: TBitBtn;
    Label3: TLabel;
    Edit2: TEdit;
    Bevel1: TBevel;
    procedure FormCreate(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  WWInsForm: TWWInsForm;

implementation

{$R *.DFM}

uses Main, BPUnit;

procedure TWWInsForm.FormCreate(Sender: TObject);
begin
  Edit1.Text := 'Noname';
  Edit2.Text := 'I have a strong memory!';
end;

procedure TWWInsForm.BitBtn1Click(Sender: TObject);
var i: integer;
begin
  for i := 5 downto 2 do begin
    TopScore[i] := TopScore[i-1];
    TopShots[i] := TopShots[i-1];
    TopSeconds[i] := TopSeconds[i-1];
    TopName[i] := TopName[i-1];
  end;
  TopName[1] := Edit1.Text;
  TopScore[1] := IntToStr(Score);
  TopShots[1] := IntToStr(Shots);
  TopSeconds[1] := IntToStr(Seconds);
  Wow := Edit2.Text;
  Close;
  with BPForm do begin
    o1.Font.Color := clBtnText;
    o2.Font.Color := clBtnText;
    o3.Font.Color := clBtnText;
    o4.Font.Color := clBtnText;
    o5.Font.Color := clBtnText;
    o1.Font.Color := clRed;
    ShowModal;
  end;
end;


procedure TWWInsForm.FormActivate(Sender: TObject);
begin
  if MainForm.Sound1.Checked then PlaySound('Crowd.wav',0,snd_Async);
end;

end.
