unit Input;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Spin, Buttons, ExtCtrls, ComCtrls, MPlayer, Help;

type
  Tspeedin = class(TForm)
    speed: TLabel;
    speedok: TImage;
    speedok_a: TImage;
    l1: TLabel;
    SpinEdit1: TTrackBar;
    speedljud: TMediaPlayer;
    procedure inputok(Sender: TObject);
    procedure updatera(Sender: TObject);
    procedure aktivera(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure avaktivera(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure spara(Sender: TObject; var CanClose: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  speedin: Tspeedin;
  usp:integer;
  c:shortint;

implementation

{$R *.DFM}

procedure Tspeedin.inputok(Sender: TObject);
begin
 if help.mphpop then
 with speedljud do begin
   DeviceType := dtWaveAudio;
   FileName := 'ok1.wav';
   Open;
   play;
 end;
 close;
end;

procedure Tspeedin.updatera(Sender: TObject);
begin
if  c<>spinedit1.position then begin
 if help.mphpop then
 with speedljud do begin
  if Filename<>'speed.wav' then begin
   DeviceType := dtWaveAudio;
   FileName := 'speed.wav';
   Open;
  end;
  play;
 end;
 c:=spinedit1.position;
 speed.caption:=inttostr(c);
 case c of
 1..2 : l1.caption:='Rr sig knappt...';
 3..4 : l1.caption:='...lite bttre.';
 5..6 : l1.caption:='Mmm... Helt ok!';
 7..8 : l1.caption:='Fartbegr..';
 9..10 : l1.caption:='...nstan halvvgs.';
 11..12 : l1.caption:='Jag tror det rcker nu !';
 13..14 : l1.caption:='Jag klarar inte den hr farten !';
 15..16 : l1.caption:='r du galen !?';
 17..18 : l1.caption:='Vad gr du !?';
 19..20 : l1.caption:='HJLP !!!';
 end;
end;
end;

procedure Tspeedin.aktivera(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
 speedok.visible:=false;
 speedok_a.visible:=true;
end;

procedure Tspeedin.avaktivera(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
 speedok_a.visible:=false;
 speedok.visible:=true;
end;

procedure Tspeedin.spara(Sender: TObject; var CanClose: Boolean);
begin
 usp:=spinedit1.position;
end;

end.
