unit About;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  MYABOUT, ExtCtrls, StdCtrls, MMSystem;

type
  TAboutBox2 = class(TAboutBox)
    Label9: TLabel;
    Image1: TImage;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    procedure PaintBox1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox2: TAboutBox2;
  ABmp: TBitmap;
  Image: PChar;

implementation

{$R *.DFM}
uses Main;

procedure TAboutBox2.PaintBox1Click(Sender: TObject);
begin
  inherited;
  if MainForm.Sound1.Checked then PlaySound('Pop1.wav',0,snd_Async);
  Image := PChar('BMP' + IntToStr(Random(TotalCards)+1));
  ABmp.Handle := LoadBitmap(HInstance, Image);

end;

procedure TAboutBox2.FormCreate(Sender: TObject);
begin
  inherited;
  ABmp := TBitmap.Create;
end;

procedure TAboutBox2.FormDestroy(Sender: TObject);
begin
  inherited;
  ABmp.Free;
end;

end.
