unit Stats;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls, NumEdit;

type
  TStatForm = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Bevel1: TBevel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    neGames: TNumEdit;
    neSeconds: TNumEdit;
    neShots: TNumEdit;
    neScore: TNumEdit;
    Bevel2: TBevel;
    procedure BitBtn2Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  StatForm: TStatForm;

implementation

{$R *.DFM}

uses Main;

procedure TStatForm.BitBtn2Click(Sender: TObject);
begin
  if MessageDlg('R DU SKER',mtConfirmation,[mbYES,mbNO],0)
  = mrYes then begin
    StGames := 0;
    StShots := 0;
    StSeconds := 0;
    StScore := 0;
    FormActivate(self);
  end;  
end;

procedure TStatForm.FormActivate(Sender: TObject);
begin
  neGames.Value := StGames;
  if StGames > 0 then begin
    neShots.Value := StShots/StGames;
    neSeconds.Value := StSeconds/StGames;
    neScore.Value := StScore/StGames;
  end
  else begin
    neShots.Value := 0;
    neSeconds.Value := 0;
    neScore.Value := 0;
  end;
end;


end.
