unit Unit4;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, ExtCtrls, StdCtrls;

type
  TForm4 = class(TForm)
    SPDBTNSimulera: TSpeedButton;
    SPDBTNInmat: TSpeedButton;
    SPDBTNAvsluta: TSpeedButton;
    Shape1: TShape;
    TimerKula1: TTimer;
    Shape2: TShape;
    LBLForm4Kula1: TLabel;
    LBLForm4Kula2: TLabel;
    IMLinje: TImage;
    LBLVisaV1: TLabel;
    LBLVisaM1: TLabel;
    LBLVisaV2: TLabel;
    LBLVisaM2: TLabel;
    LBLVisaVTot: TLabel;
    procedure SPDBTNInmatClick(Sender: TObject);
    procedure SPDBTNAvslutaClick(Sender: TObject);
    procedure SPDBTNSimuleraClick(Sender: TObject);
    procedure TimerKula1Timer(Sender: TObject);
    procedure FormResize(Sender: TObject);
   


    


    
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form4: TForm4;
  VKula1,VKula2,PKula1,PKula2,MKula1,MKula2,PTot1,MTot1,VTot : Real;
implementation

uses Unit2, Unit3;

{$R *.DFM}

procedure TForm4.SPDBTNInmatClick(Sender: TObject);
begin
  TimerKula1.enabled:=false;
  Shape1.left:=0;
  Shape2.left:=(Form4.width-Shape2.Width-8);
  LBLForm4Kula2.Left:=(Form4.width-LBLForm4Kula2.width-6);
  Shape1.Width:=65;
  Shape1.Height:=65;
  Shape2.width:=65;
  Shape2.height:=65;

  LBLVisaV1.caption:='';
  LBLVisaM1.caption:='';
  LBLVisaV2.caption:='';
  LBLVisaM2.caption:='';
  LBLVisaVtot.caption:='';

  Form2.show;
  Form4.hide;
end;

procedure TForm4.SPDBTNAvslutaClick(Sender: TObject);
begin
  application.terminate;
end;

procedure TForm4.SPDBTNSimuleraClick(Sender: TObject);
begin
  LBLVisaVTot.Caption:='';

  VKula1:=StrToFloat(Form3.EditKula1hast.Text);
  VKula2:=-StrToFloat(Form3.EditKula2hast.Text);
  MKula1:=StrToFloat(Form3.EditKula1Massa.Text);
  MKula2:=StrToFloat(Form3.EditKula2Massa.Text);

  LBLVisaV1.caption:=FloatToStr(round(VKula1*10)/10)+' m/s';
  LBLVisaM1.caption:=FloatToStr(round(MKula1*10)/10)+' kg';
  LBLVisaV2.caption:=FloatToStr(round(VKula2*10)/10)+' m/s';
  LBLVisaM2.caption:=FloatToStr(round(MKula2*10)/10)+' kg';

  TimerKula1.enabled:=not TimerKula1.enabled;
   If TimerKula1.enabled then
     begin
       SPDBTNSimulera.caption:='Starta om simuleringen'
     End
   Else
     Begin
       SPDBTNSimulera.caption:='Simulera stten';
     End;


  if (round(vkula1)<1) then
    begin
      vkula1:=1;
    end;
  if (round(vkula2)>-1) then
    begin
      vkula2:=-1;
    end;

  pkula1:=0;
  pkula2:=0;
  vtot:=0;
  Shape1.left:=0;
  Shape2.left:=(Form4.width-Shape2.width-8);
  
if Form2.RGStotTyp.Itemindex=0 then   {Fullstndigt oelastisk}
  begin
    Pkula1:=(VKula1*MKula1);
    Pkula2:=(VKula2*MKula2);
    PTot1:=(PKula1+PKula2);
    MTot1:=(MKula1+MKula2);
    VTot:=(PTot1/MTot1);
   end;

if (Form2.RGStotTyp.Itemindex=1) then         {Fullstndigt elastisk}
  begin
    Pkula1:=(VKula1*MKula1);
    Pkula2:=(VKula2*MKula2);
  end;
end;

procedure TForm4.TimerKula1Timer(Sender: TObject);
begin
  Shape1.Left:=(Shape1.Left+round(VKula1));
  Shape2.Left:=(Shape2.Left+round(VKula2));

  if ((Shape1.Left+Shape1.width)>Shape2.left) then
    begin    {om vkula 1 r motsatt riktad vtot}
      LBLVisaVTot.Caption:='Fremlens gemensamma hastighet r nu '+FloatToStr(Round(VTot*10)/10)+' m/s';
      if vkula1*vtot<0 then
        begin
          shape1.left:=shape2.left-shape1.width;
        end
        else
          begin
            shape2.left:=shape1.left+shape1.width;
          end;
       Vkula2:=Vtot;
       Vkula1:=Vtot;
    end;


end;

procedure TForm4.FormResize(Sender: TObject);
begin
  Shape1.left:=0;
  Shape2.left:=(Form4.width-Shape2.width-8);

  LBLForm4Kula2.Left:=(Form4.width-LBLForm4Kula2.width-6);

  SPDBTNSimulera.left:=(Form4.width-SPDBTNSimulera.width-40);
  SPDBTNAvsluta.Left:=((Round(Form4.width/2))-(Round(SPDBTNAvsluta.width/2))-35);

  LBLVisaV1.left:=8;
  LBLVisaM1.left:=(LBLVisaV1.left+LBLVisaV1.Width+15);
  LBLVisaM2.left:=(Form4.Width-LBLVisaM2.width-8);
  LBLVisaV2.left:=(Form4.width-LBLVisaM2.width-LBLVisaM2.width-25);

  LBLVisaVTot.left:=((round(Form4.Width/2))-(round(LBLVisaVTot.width/2)));
end;

end.





