unit Winlines;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, Menus, ExtCtrls, MPlayer, StdCtrls, IniFiles,
  Buttons, Help, Input, About;

type

  TForm1 = class(TForm)
    MainMenu1: TMainMenu;
    Game1: TMenuItem;
    About1: TMenuItem;
    Quit1: TMenuItem;
    N1: TMenuItem;
    Help1: TMenuItem;
    AboutWinLines1: TMenuItem;
    Timer1: TTimer;
    Options1: TMenuItem;
    Rookie1: TMenuItem;
    Amatr1: TMenuItem;
    Pro1: TMenuItem;
    Start1: TMenuItem;
    mp1: TMediaPlayer;
    SoundOn1: TMenuItem;
    Shape1: TShape;
    Options2: TMenuItem;
    Asfalt1: TMenuItem;
    Stuff1: TMenuItem;
    N2: TMenuItem;
    sc_red: TLabel;
    sc_green: TLabel;
    MusicOn1: TMenuItem;
    Reset1: TMenuItem;
    MenuPopOn1: TMenuItem;
    Teleport1: TMenuItem;
    Timer2: TTimer;
    mp2: TMediaPlayer;
    User1: TMenuItem;
    N3: TMenuItem;
    mpop: TMediaPlayer;
    biltimer: TTimer;
    biltimer2: TTimer;
    bullbeep: TMediaPlayer;
    gobutton: TImage;
    onbutton: TImage;
    winred: TImage;
    wingr: TImage;
    bilL: TImage;
    bilR: TImage;
    slide: TLabel;
    N4: TMenuItem;
    Om1: TMenuItem;
    procedure initljud;
    procedure crash(w: shortint);
    procedure wavljud(lfil: string);
    procedure skrivinifil;
    procedure bubblor;
    procedure bil;
    procedure delay(Num: longint);
    procedure tangent(Sender: TObject; var Key: Char);
    procedure flytta(Sender: TObject);
    procedure Start1Click(Sender: TObject);
    procedure rookie(Sender: TObject);
    procedure ama(Sender: TObject);
    procedure pro(Sender: TObject);
    procedure soundval(Sender: TObject);
    procedure musicval(Sender: TObject);
    procedure skalning(Sender: TObject);
    procedure storlek(Sender: TObject);
    procedure menyclick(Sender: TObject);
    procedure tangent2(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure visahelp(Sender: TObject);
    procedure visaabout(Sender: TObject);
    procedure gobuttclner(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure resetrod(Sender: TObject);
    procedure resetgr(Sender: TObject);
    procedure resetgr_red(Sender: TObject);
    procedure kill(Sender: TObject);
    procedure menypop(Sender: TObject);
    procedure blinka(Sender: TObject);
    procedure teleportmeny(Sender: TObject);
    procedure quitta(Sender: TObject; var CanClose: Boolean);
    procedure stuff(Sender: TObject);
    procedure userspeed(Sender: TObject);
    procedure redlabelClick(Sender: TObject);
    procedure grlabelclick(Sender: TObject);
    procedure flyttabil(Sender: TObject);
    procedure bilmeny(Sender: TObject);
    procedure startabil(Sender: TObject);
    procedure clbutt2(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  x,y,x2,y2,s : integer;
  p_red,p_green,riktning,L,uL : shortint;
  go1,go2 : char;
  run,pause,firsttime : boolean;

implementation

{$R *.DFM}

procedure tform1.delay;
 var tc : longint;
begin
 tc:=GetTickCount;
 repeat
  Application.ProcessMessages;
 until ((GetTickCount-tc)>=Num);
end;

procedure tform1.initljud;
var m,w:boolean;
begin
 m:=false;w:=false;
 if not(FileExists('linerace.mid')) then m:=true;
 if m then MessageDlg('Ngra MIDI-filer saknas!',mtError,[mbOK],0);

 if not(FileExists('about.wav')) then w:=true;
 if not(FileExists('beep.wav')) then w:=true;
 if not(FileExists('crash.wav')) then w:=true;
 if not(FileExists('intro.wav')) then w:=true;
 if not(FileExists('pop.wav')) then w:=true;
 if not(FileExists('pophelp.wav')) then w:=true;
 if not(FileExists('start.wav')) then w:=true;
 if not(FileExists('whizz.wav')) then w:=true;
 if not(FileExists('bubble.wav')) then w:=true;
 if not(FileExists('bulldoz.wav')) then w:=true;
 if not(FileExists('car.wav')) then w:=true;
 if not(FileExists('music.wav')) then w:=true;
 if not(FileExists('snail.wav')) then w:=true;
 if not(FileExists('sound.wav')) then w:=true;
 if not(FileExists('teleport.wav')) then w:=true;
 if not(FileExists('warp.wav')) then w:=true;
 if not(FileExists('speed.wav')) then w:=true;
 if not(FileExists('speedhlp.wav')) then w:=true;
 if not(FileExists('poptal.wav')) then w:=true;
 if not(FileExists('zero.wav')) then w:=true;
 if not(FileExists('ok1.wav')) then w:=true;
 if not(FileExists('ok2.wav')) then w:=true;
 if not(FileExists('ok3.wav')) then w:=true;

 if w then MessageDlg('Ngra WAV-filer saknas!',mtError,[mbOK],0);

 if soundon1.checked then begin
  mpop.DeviceType := dtwaveaudio;
  mpop.FileName := 'intro.wav';
  if not(w) then begin
   mpop.Open;
   if Error<>0 then begin
    MessageDlg('Hmm... fel vid ljud-uppspelning!',mtError,[mbOK],0);
    w:=true;
   end;
  end;
  if not(w) then begin
   bullbeep.DeviceType := dtWaveAudio;
   bullbeep.FileName := 'beep.wav';
   bullbeep.Open;
  end;
  if not(w) then begin
   mpop.Play;
   if Error<>0 then begin
    MessageDlg('Har Du Verkligen Ett Ljudkort..?',mtInformation,[mbOK],0);
    w:=true;
   end;
  end;
 end;
 if firsttime=true then begin
   if MessageDlg('Har Du ett bra Ljudkort fr MIDI-musik?',
    mtInformation, [mbYes, mbNo], 0) = mrYes then musicon1.checked:=true
   else musicon1.checked:=false;

 end;
 if musicon1.checked then begin
  mp2.DeviceType := dtsequencer;
  mp2.FileName := 'linerace.mid';
  if not(m) then begin
   mp2.Open;
   if Error<>0 then begin
    MessageDlg('Hmm... fel vid ljud-uppspelning!',mtError,[mbOK],0);
    m:=true;
   end;
  end;
  if not(m) then begin
   mp2.Play;
   mp2.Notify := True;
   if Error<>0 then begin
    MessageDlg('Har Du Verkligen Ett Ljudkort..?',mtInformation,[mbOK],0);
    m:=true;
   end;
  end;
 end;

 if w then begin
  soundon1.checked:=false;soundon1.enabled:=false;
  menupopon1.checked:=false;menupopon1.enabled:=false;
  help.mphpop:=false;
  MessageDlg('Ljud avstngt',mtInformation,[mbOK],0);
 end;
 if m then begin
  musicon1.checked:=false;musicon1.enabled:=false;
  MessageDlg('Musik avstngt',mtInformation,[mbOK],0);
 end;
end;

procedure TForm1.musicval(Sender: TObject);
begin
  if musicon1.checked then begin
   musicon1.checked:=false;mp2.stop;
  end else begin
   wavljud('music.wav');
   mp2.DeviceType := dtsequencer;
   if mp2.Filename<>'linerace.mid' then begin
    mp2.filename:='linerace.mid';
    mp2.Open;
   end;
   musicon1.checked:=true;
   mp2.rewind;mp2.play;
   mp2.Notify := True;
  end;
end;

procedure TForm1.soundval(Sender: TObject);
begin
  soundon1.checked:=not(soundon1.checked);
  wavljud('sound.wav');
end;

procedure tform1.wavljud(lfil: string);
begin
if form1.soundon1.checked then
   with form1.mp1 do begin
    if Filename<>lfil then begin
      DeviceType := dtWaveAudio;
      FileName := lfil;
      Open;
    end;
    play;
   end;
end;

procedure tform1.bubblor;
var antal,i,d:shortint;
    x,y,h,w:integer;
begin
 i:=0;
 antal:=form1.clientheight div 34;
 h:=form1.clientheight;
 w:=form1.clientwidth;
 while i<antal do begin
  d:=random(round(h/14))+round(h/14);
  x:=random(w);
  y:=random(h);
  if ((y>(round(h/7)+2))and(y<round(h*2/7)))or((y>round(h*5/7))and(y<round(h*6/7)))
   then
    if ((x>2*d)and(x<w-2*d)) then begin
      if odd(d) then canvas.brush.color:=clAqua
       else canvas.brush.color:=clfuchsia;;
      canvas.ellipse(x,y,x+d,y+d);
      inc(i);
    end;
 end; {while}
end;

procedure tform1.bil;
var c,ybil:integer;
    bil_ok : boolean;
begin
 riktning:=random(2); {0:L-R:bilR, 1:R-L:bilL}
 bil_ok:=false;
 ybil:=60;
 c:=shape1.height;
 while not(bil_ok) do begin
  ybil:=random(c);
  if (((ybil<c*4/14))or((ybil>c*8/14)and(ybil<c*12/14)))
   then bil_ok:=true;
 end; {while}
 if (riktning=1) then form1.bilL.top:=ybil+31 else
  form1.bilR.top:=ybil+31;
end;

procedure TForm1.flyttabil(Sender: TObject);
begin
 if (riktning=1) then begin
   bilL.left:=bilL.left-L*2;
   if (bilL.left<-150) then begin
    biltimer2.enabled:=false;
    bilL.visible:=false;
    biltimer.interval:=1000+random(5000);
   end;
 end else begin
   bilR.left:=bilR.left+L*2;
   if (bilR.left>form1.clientwidth+25) then begin
    biltimer2.enabled:=false;
    bilR.visible:=false;
    biltimer.interval:=1000+random(5000);
   end;
 end;
end;

procedure TForm1.startabil(Sender: TObject);
begin
 if not(biltimer2.enabled)then begin
  bil;
  if (riktning=1) then begin
   bilL.left:=form1.clientwidth+50;
   bilL.visible:=true;
  end else begin
   bilR.left:=-150;
   bilR.visible:=true;
  end;
  if soundon1.checked then bullbeep.play;
  biltimer2.enabled:=true;
 end;
end;

procedure TForm1.tangent2(Sender: TObject; var Key: Word;
  Shift: TShiftState);
begin
     if (key=VK_LEFT)and(go2<>'h') then go2:='v'
     else if (key=VK_RIGHT)and(go2<>'v') then go2:='h'
     else if (key=VK_UP)and(go2<>'n') then go2:='u'
     else if (key=VK_DOWN)and(go2<>'u') then go2:='n';
end;

procedure TForm1.tangent(Sender: TObject; var Key: Char);
begin
     if (upcase(key)='S')and(go1<>'h') then go1:='v'
     else if (upcase(key)='F')and(go1<>'v') then go1:='h'
     else if (upcase(key)='E')and(go1<>'n') then go1:='u'
     else if (upcase(key)='D')and(go1<>'u') then go1:='n'
     else if (upcase(key)='P') then begin
        if run then begin
         timer1.enabled:=false;
         biltimer.enabled:=false;
         biltimer2.enabled:=false;
         run:=false;pause:=true;
         form1.caption:='LineRace98    -    P A U S E ! ! !   (tryck "P")';
         slide.font.color:=clYellow;
         slide.caption:='P A U S E !';
        end else if pause then begin
         timer1.enabled:=true;
         if asfalt1.checked then begin
          biltimer.enabled:=true;
          biltimer2.enabled:=true;
         end;
         run:=true;pause:=false;
         slide.font.color:=clSilver;
         slide.caption:='TELEPORT';
         form1.caption:='LineRace99';
        end;
     end;
end;

procedure tform1.crash(w :shortint);
begin
 Timer1.enabled:=false;
 biltimer.enabled:=false;
 biltimer2.enabled:=false;
 run:=false;
 wavljud('crash.wav');
 onbutton.visible:=false;
 gobutton.visible:=true;
 if w=2 then begin
  if p_red=99 then p_red:=-1;
  inc(p_red);
  sc_red.caption:=inttostr(p_red);
 end else begin
  if p_green=99 then p_green:=-1;
  inc(p_green);
  sc_green.caption:=inttostr(p_green);
 end;
   if w=1 then begin
    wingr.visible:=true;
   end else begin
    winred.visible:=true;
   end;
 if firsttime then begin
  form1.refresh;
  aboutme.show;
 end; 
end;

procedure TForm1.flytta(Sender: TObject);
 var i:integer;
begin
for i:=1 to L do begin
 case go1 of
  'u': dec(y);
  'n': inc(y);
  'v': dec(x);
  'h': inc(x);
 end; {case1}
  if Canvas.Pixels[x,y]<>clblack then
    if Canvas.Pixels[x,y]=clblue then begin
      slide.font.color:=clRed;
      wavljud('whizz.wav');
      case go1 of
         'u': y:=y-slide.height;
         'n': y:=y+slide.height;
         'v': x:=x-slide.width;
         'h': x:=x+slide.width;
      end;
    end else begin
    crash(1);
    break;
  end else Canvas.Pixels[x,y]:=clRed;
 case go2 of
  'u': dec(y2);
  'n': inc(y2);
  'v': dec(x2);
  'h': inc(x2);
 end; {case}
  if Canvas.Pixels[x2,y2]<>clblack then
      if Canvas.Pixels[x2,y2]=clblue then begin
      slide.font.color:=clLime;
      wavljud('whizz.wav');
      case go2 of
         'u': y2:=y2-slide.height;
         'n': y2:=y2+slide.height;
         'v': x2:=x2-slide.width;
         'h': x2:=x2+slide.width;
      end;
    end else begin
    crash(2);
    break;
  end else Canvas.Pixels[x2,y2] := clLime;
end; {for i}
end;

procedure TForm1.Start1Click(Sender: TObject);
var a,b:word;
begin
 if pause then begin
  pause:=false;
  slide.caption:='TELEPORT';
  form1.caption:='LineRace99';
 end;
 gobutton.visible:=false;
 onbutton.visible:=true;
 Randomize;
 bilL.left:=form1.clientwidth+50;
 bilR.left:=-150;
  if mp2.NotifyValue=nvSuccessful then
     if musicon1.checked then begin
      mp2.play;mp2.notify:=true;
     end;
 if asfalt1.checked then begin
  biltimer.interval:=1000+random(5000);
  biltimer.enabled:=true;
 end;
 winred.visible:=false;
 wingr.visible:=false;
 run:=true;
 form1.refresh;
 if stuff1.checked then bubblor;
 a:=random(2);
 if a=1 then b:=0 else b:=1;
 x:=round(form1.clientwidth*0.25);y:=form1.clientheight DIV 2 + a;
 x2:=round(form1.clientwidth*0.75);y2:=form1.clientheight DIV 2 + b;
 if y=y2 then y:=y+1;
 go1:='h';go2:='v';
 Canvas.Pixels[x,y] := clred;
 Canvas.Pixels[x2,y2] := cllime;
 wavljud('start.wav');
 delay(1000);
 Timer1.enabled:=true;
end;

procedure TForm1.rookie(Sender: TObject);
begin
 if not(rookie1.checked) then wavljud('snail.wav');
 rookie1.checked:=true;
 amatr1.checked:=false;
 pro1.checked:=false;
 user1.checked:=false;
 L:=2;
end;

procedure TForm1.ama(Sender: TObject);
begin
 if not(amatr1.checked) then wavljud('car.wav');
 amatr1.checked:=true;
 rookie1.checked:=false;
 pro1.checked:=false;
 user1.checked:=false;
 L:=3;
end;

procedure TForm1.pro(Sender: TObject);
begin
 if not(pro1.checked) then wavljud('warp.wav');
 pro1.checked:=true;
 amatr1.checked:=false;
 rookie1.checked:=false;
 user1.checked:=false;
 L:=4;
end;


procedure TForm1.skalning(Sender: TObject);
var a,b:word;
    GameIni: TIniFile;
begin
  Gameini := TIniFile.Create('LINERACE.INI');
  with GameIni do
  begin
    soundon1.checked:=ReadBool('Options', 'Sound', True);
    musicon1.checked:=ReadBool('Options', 'Music', True);
    menupopon1.checked:=ReadBool('Options','MenuPop',True);
    user1.checked:=ReadBool('Options','UserSpeed',False);
    stuff1.checked:=ReadBool('Options','Stuff',True);
    teleport1.checked:=ReadBool('Options','Teleport',True);
    asfalt1.checked:=ReadBool('Options','Asphalt',True);
    L:=ReadInteger('Options', 'Level', 3);
    uL:=ReadInteger('Options', 'uLevel', 5);
    form1.left:=ReadInteger('Position', 'x0',50);
    form1.top:=ReadInteger('Position', 'y0',50);
    form1.width:=ReadInteger('Position', 'x1',250);
    form1.height:=ReadInteger('Position', 'y1',400);
    firsttime:=ReadBool('Settings','Firsttime',true);
    if firsttime=true then
  MessageDlg('Innan Du brjar, Vlj: ''&Hjlp'' och ''&Om'' !',mtInformation,[mbOK],0);
    Free;
  end;
  initljud;
  user1.caption:='&Egen...  ( - '+inttostr(uL)+' - )';
  if not(user1.checked) then
   case L of
      2:rookie(Sender);
      3:ama(Sender);
      4:pro(Sender);
   end;
  if menupopon1.checked then help.mphpop:=true
   else help.mphpop:=false;
  if teleport1.checked then begin
   slide.visible:=true;
   timer2.enabled:=true;
  end else begin
   slide.visible:=false;
   timer2.enabled:=false;
  end;
Randomize;
a:=random(2);
if a=1 then b:=0 else b:=1;
x:=round(form1.clientwidth*0.25);y:=round(form1.clientheight/2+a);
x2:=round(form1.clientwidth*0.75);y2:=round(form1.clientheight/2+b);
 case screen.width of
    640 : timer1.interval:=50;
    800 : timer1.interval:=40;
    1024: timer1.interval:=32;
   else timer1.interval:=26
 end;
end;

procedure TForm1.storlek(Sender: TObject);
begin
 if run then begin
  timer1.enabled:=false;
  biltimer.enabled:=false;
  biltimer2.enabled:=false;
  form1.refresh;
 end;
 bilL.visible:=false;
 bilR.visible:=false;
 if height<315 then height:=315;
 if width<604 then width:=604;
 shape1.width:=form1.clientWidth-39;
 shape1.height:=form1.clientHeight-32;
 sc_red.left:=round(form1.clientWidth/2)-100;
 sc_green.left:=round(form1.clientWidth/2)+69;
 gobutton.left:=round(form1.clientWidth/2)-40;
 onbutton.left:=round(form1.clientWidth/2)-40;
 slide.width:=round(form1.clientWidth/4);
 slide.height:=round(form1.clientHeight/7);
 slide.left:=round(form1.clientWidth*0.375);
 slide.top:=round(form1.clientHeight*3/7);
 winred.left:=6;
 wingr.left:=form1.clientWidth-172;
end;

procedure TForm1.menyclick(Sender: TObject);
begin
if menupopon1.checked then
 with mpop do begin
  if Filename<>'pop.wav' then begin
   DeviceType := dtWaveAudio;
   FileName := 'pop.wav';
   Open;
  end;
  play;
 end;
 if run then begin
  onbutton.visible:=false;
  gobutton.visible:=true;
  timer1.enabled:=false;
  biltimer.enabled:=false;
  biltimer2.enabled:=false;
  bilL.visible:=false;
  bilR.visible:=false;
  form1.refresh;
  run:=false;
 end;
end;

procedure TForm1.visahelp(Sender: TObject);
begin
 bilL.visible:=false;
 bilR.visible:=false;
 form1.refresh;
 wavljud('about.wav');
 helpme.showmodal;
end;

procedure TForm1.visaabout(Sender: TObject);
begin
 bilL.visible:=false;
 bilR.visible:=false;
 form1.refresh;
 wavljud('about.wav');
 aboutme.show;
end;

procedure TForm1.gobuttclner(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
if menupopon1.checked then
 with mpop do begin
  if Filename<>'pop.wav' then begin
   DeviceType := dtWaveAudio;
   FileName := 'pop.wav';
   Open;
  end;
  play;
 end;
end;

procedure TForm1.clbutt2(Sender: TObject);
begin
  form1.start1click(sender);
end;

procedure TForm1.resetrod(Sender: TObject);
begin
 sc_red.caption:='0';p_red:=0;
 winred.visible:=false;
end;

procedure TForm1.resetgr(Sender: TObject);
begin
 sc_green.caption:='0';p_green:=0;
 wingr.visible:=false;
end;

procedure TForm1.resetgr_red(Sender: TObject);
begin
 wavljud('zero.wav');
 sc_red.caption:='0'; sc_green.caption:='0';
 winred.visible:=false; wingr.visible:=false;
 p_red:=0;p_green:=0;
 onbutton.visible:=false;
 gobutton.visible:=true;
 timer1.enabled:=false;
 biltimer.enabled:=false;
 biltimer2.enabled:=false;
 bilL.visible:=false;
 bilR.visible:=false;
 if pause then begin
  pause:=false;
  slide.caption:='TELEPORT';
  form1.caption:='LineRace99';
 end;
 form1.refresh;
 run:=false;
end;

procedure TForm1.menypop(Sender: TObject);
begin
 if not(menupopon1.checked) then wavljud('poptal.wav');
 menupopon1.checked:=not(menupopon1.checked);
 help.mphpop:=not(help.mphpop);
end;

procedure TForm1.blinka(Sender: TObject); {timer2}
begin
 if not(pause) then begin
  if slide.font.color=clSilver then slide.font.color:=clGray
  else slide.font.color:=clSilver;
 end else begin
  if slide.font.color=clYellow then slide.font.color:=clBlue
  else slide.font.color:=clYellow;
 end;
end;

procedure TForm1.teleportmeny(Sender: TObject);
begin
 bilL.visible:=false;
 bilR.visible:=false;
 form1.refresh;
 if teleport1.checked then begin
   teleport1.checked:=false;
   timer2.enabled:=false;
   slide.visible:=false;
 end else begin
   wavljud('teleport.wav');
   teleport1.checked:=true;
   timer2.enabled:=true;
   slide.visible:=true;
 end;
end;

procedure tform1.skrivinifil;
var
  GameIni: TIniFile;
begin
  Gameini := TIniFile.Create('LINERACE.INI');
  with GameIni do begin
    if soundon1.checked then
     WriteBool('Options', 'Sound', True) else
     WriteBool('Options', 'Sound', False);
    if musicon1.checked then
     WriteBool('Options', 'Music', True) else
     WriteBool('Options', 'Music', False);
    if menupopon1.checked then
     WriteBool('Options', 'MenuPop', True) else
     WriteBool('Options', 'MenuPop', False);
    WriteInteger('Options', 'Level', L);
    WriteInteger('Options', 'uLevel', uL);
    if teleport1.checked then
     WriteBool('Options', 'Teleport', True) else
     WriteBool('Options', 'Teleport', False);
    if stuff1.checked then
     WriteBool('Options','Stuff',True) else
     WriteBool('Options','Stuff',False);
    if asfalt1.checked then
     WriteBool('Options','Asphalt',True) else
     WriteBool('Options','Asphalt',False);
    if user1.checked then
     WriteBool('Options','UserSpeed',True) else
     WriteBool('Options','UserSpeed',False);
    WriteBool('Settings','Firsttime',False);
    WriteInteger('Position', 'x0',form1.left);
    WriteInteger('Position', 'y0',form1.top);
    WriteInteger('Position', 'x1',form1.width);
    WriteInteger('Position', 'y1',form1.height);
    Free;
  end;
end;

procedure TForm1.kill(Sender: TObject);
begin
   Close;
end;

procedure TForm1.quitta(Sender: TObject; var CanClose: Boolean);
begin
   mp1.close;mp2.close;mpop.close;bullbeep.close;helpme.mph.close;
   skrivinifil;
   canclose:=true;
end;

procedure TForm1.stuff(Sender: TObject);
begin
 bilL.visible:=false;
 bilR.visible:=false;
 form1.refresh;
 if not(stuff1.checked) then  wavljud('bubble.wav');
 stuff1.checked:=not(stuff1.checked);
end;

procedure TForm1.userspeed(Sender: TObject);
begin
  timer1.enabled:=false;
  biltimer.enabled:=false;
  biltimer2.enabled:=false;
  bilL.visible:=false;
  bilR.visible:=false;
  run:=false;
  form1.refresh;
  speedin.spinedit1.position:=uL;
  speedin.speed.caption:=inttostr(uL);
  speedin.l1.caption:='1=LNGSAMT ... 20=SNABBT';
  wavljud('about.wav');
  speedin.showmodal;
  uL:=input.usp;
  L:=uL;
  pro1.checked:=false;
  amatr1.checked:=false;
  rookie1.checked:=false;
  user1.caption:='&Egen...  ( - '+inttostr(uL)+' - )';
  user1.checked:=true;
end;

procedure TForm1.redlabelClick(Sender: TObject);
begin
 winred.visible:=false;
end;

procedure TForm1.grlabelclick(Sender: TObject);
begin
 wingr.visible:=false;
end;

procedure TForm1.bilmeny(Sender: TObject);
begin
 if not(asfalt1.checked) then wavljud('bulldoz.wav');
 asfalt1.checked:=not(asfalt1.checked);
end;



end.
