unit Help;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, StdCtrls, Buttons, MPlayer, ComCtrls;

type
  THelpme = class(TForm)
    b1: TBitBtn;
    b2: TBitBtn;
    b3: TBitBtn;
    b4: TBitBtn;
    sp1: TSpeedButton;
    sp2: TSpeedButton;
    Panel1: TPanel;
    mph: TMediaPlayer;
    okbuttakt: TImage;
    okbutt: TImage;
    Memo2: TRichEdit;
    Memo1: TRichEdit;
    procedure button1Click(Sender: TObject);
    procedure b1Click(Sender: TObject);
    procedure b4Click(Sender: TObject);
    procedure b3Click(Sender: TObject);
    procedure b2Click(Sender: TObject);
    procedure Panel1Click(Sender: TObject);
    procedure framgron(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure framsv(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure bakrod(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure baksv(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure sp2Click(Sender: TObject);
    procedure sp1Click(Sender: TObject);
    procedure aktivera(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure avaktivera(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure poppa(n :shortint);
  end;

var
  Helpme: THelpme;
  mphpop : boolean;

implementation

{$R *.DFM}

procedure THelpme.poppa;
begin
 if mphpop then
 with mph do begin
  if n=1 then begin
   if Filename<>'pophelp.wav' then begin
    DeviceType := dtWaveAudio;
    FileName := 'pophelp.wav';
    Open;
   end;
  end else if n=3 then begin
    DeviceType := dtWaveAudio;
    FileName := 'ok2.wav';
    Open;
  end else begin
   if Filename<>'speedhlp.wav' then begin
    DeviceType := dtWaveAudio;
    FileName := 'speedhlp.wav';
    Open;
   end;
  end;
 play;
 end;
end;

procedure THelpme.button1Click(Sender: TObject);
begin
 poppa(3);
 memo1.visible:=true;
 memo2.visible:=false;
 helpme.caption:='Hjlp                        [ sida  1 av 2 ]';
Close;
end;

procedure THelpme.b1Click(Sender: TObject);
begin
poppa(2);
 panel1.caption:='''E''=UPP';
end;

procedure THelpme.b4Click(Sender: TObject);
begin
poppa(2);
 panel1.caption:='''S''=VNSTER';
end;

procedure THelpme.b3Click(Sender: TObject);
begin
poppa(2);
 panel1.caption:='''D''=NER';
end;

procedure THelpme.b2Click(Sender: TObject);
begin
poppa(2);
 panel1.caption:='''F''=HGER';
end;

procedure THelpme.Panel1Click(Sender: TObject);
begin
poppa(2);
 panel1.caption:='';
end;

procedure THelpme.framgron(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
poppa(1);
 sp2.font.color:=cllime;
end;

procedure THelpme.framsv(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
 sp2.font.color:=clWindowtext;
end;

procedure THelpme.bakrod(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
poppa(1);
 sp1.font.color:=clred;
end;

procedure THelpme.baksv(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
 sp1.font.color:=clblack;
end;

procedure THelpme.sp2Click(Sender: TObject);
begin
 memo1.visible:=false;
 memo2.visible:=true;
 helpme.caption:=' Hjlp                       [ sida  2 av 2 ]';
 sp1.enabled:=true;
 sp2.enabled:=false;
 panel1.visible:=false;
 b1.visible:=false;b2.visible:=false;
 b3.visible:=false;b4.visible:=false;
end;

procedure THelpme.sp1Click(Sender: TObject);
begin
 memo1.visible:=true;
 memo2.visible:=false;
 helpme.caption:=' Hjlp                       [ sida  1 av 2 ]';
 sp1.enabled:=false;
 sp2.enabled:=true;
 panel1.caption:='<< klicka !';
 panel1.visible:=true;
 b1.visible:=true;b2.visible:=true;
 b3.visible:=true;b4.visible:=true;
end;

procedure THelpme.aktivera(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
 okbutt.visible:=false;
 okbuttakt.visible:=true;
end;

procedure THelpme.avaktivera(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
 okbuttakt.visible:=false;
 okbutt.visible:=true;
end;

end.
